<cfcomponent>


	<!---
	PROPERTIES
	--->
	<cfset variables.instance = StructNew() />


	<cffunction name="getContactTypes" access="public" returntype="query" output="false">
      <cfset var ContactTypes = getContactTypeGW().getContactTypeQuery() />
      <cfreturn ContactTypes />
   </cffunction>

   
	<cffunction name="saveContact" access="public" returntype="void" output="false">
		<cfargument name="Contact" type="any" required="true"/>
		
		<cfif val( Contact.getContactID() ) GT 0 ><!--- Update --->
			<cfset getContactDAO().update( arguments.Contact ) />
		<cfelse><!--- Insert --->
			<cfset getContactDAO().create( arguments.Contact ) />
		</cfif>

   </cffunction>

   














	<cffunction name="getContactTypeGW" access="public" output="false" returntype="any">
      <cfreturn variables.instance.ContactTypeGW />
   </cffunction>
   
   <cffunction name="setContactTypeGW" access="public" output="false" returntype="void">
      <cfargument name="ContactTypeGW" type="any" required="true" />
      <cfset variables.instance.ContactTypeGW = arguments.ContactTypeGW />
   </cffunction>

	<cffunction name="getContactList" output="false" access="public" returntype="query" hint="I return a list of contacts">
		<cfreturn getContactGW().getContactQuery() />
	</cffunction>
	
	<cffunction name="getContactDAO" access="public" output="false" returntype="any">
		<cfreturn variables.instance.ContactDAO />
	</cffunction>
	
	<cffunction name="setContactDAO" access="public" output="false" returntype="void">
		<cfargument name="ContactDAO" type="any" required="true" />
		<cfset variables.instance.ContactDAO = arguments.ContactDAO />
	</cffunction>

	<cffunction name="getContactGW" access="public" output="false" returntype="any">
		<cfreturn variables.instance.ContactGW />
	</cffunction>
	
	<cffunction name="setContactGW" access="public" output="false" returntype="void">
		<cfargument name="ContactGW" type="any" required="true" />
		<cfset variables.instance.ContactGW = arguments.ContactGW />
	</cffunction>
</cfcomponent>